Get transaction status
curl --request GET \
--url https://api.example.com/api/v1/balance/transaction/status/{quote_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/balance/transaction/status/{quote_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/balance/transaction/status/{quote_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteId": "<string>",
"type": "<string>",
"paymentChannel": "<string>",
"status": "<string>",
"fromAmount": 123,
"fromCurrency": "<string>",
"toCurrency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"toAmount": 123,
"originTxHash": "<string>",
"destinationTxHash": "<string>",
"depositAddress": "<string>",
"errorMessage": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Balance
Get transaction status
Check status of any transaction by quote_id.
GET
/
api
/
v1
/
balance
/
transaction
/
status
/
{quote_id}
Get transaction status
curl --request GET \
--url https://api.example.com/api/v1/balance/transaction/status/{quote_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/balance/transaction/status/{quote_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/balance/transaction/status/{quote_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteId": "<string>",
"type": "<string>",
"paymentChannel": "<string>",
"status": "<string>",
"fromAmount": 123,
"fromCurrency": "<string>",
"toCurrency": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"toAmount": 123,
"originTxHash": "<string>",
"destinationTxHash": "<string>",
"depositAddress": "<string>",
"errorMessage": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
Universal transaction response.
Was this page helpful?